
error_exit()
{
    MSG=$1
    echo $MSG 1>&2
    exit 1
}

del_dirs()
{
  #rm -rf ext/lib/$TAG_DIR/*_$MODEL.lib
  rm -rf ext
  rm -rf obj
  rm -rf exe/$MODEL/$TAG_DIR
  if  [ -f "lib/$TAG_DIR/lib*_$MODEL.lib" ]
  then
     rm lib/$TAG_DIR/lib*_$MODEL.lib
  fi
}

copy_make()
{
  rm -rf make/*
  cp -r $WMAKE_DIR/* make/
  mkdir -p make_config
  rm -rf make_config/*
  cp -r $MAKE_CONFIG_DIR/* make_config/
}

## mobile_backup_status_server compile ##
compile_mobile_backup_status_server()
{
   cd $TI_REPO_DIR
   #del_dirs
   #copy_make
   mkdir -p $TI_REPO_DIR/ext/lib/$TAG_DIR

   mkdir -p $TI_REPO_DIR/ext/include/
   cd $TI_REPO_DIR/ext/include/

   # http hack
   #mv http http.247
   #cp -r $SRC_DIR/http http
   
   # hack for hotplug_supp.dll soft link rel_nop soft links
   mkdir -p $TI_REPO_DIR/exe/$MODEL/$TAG_DIR
   /usr/bin/touch $TI_REPO_DIR/exe/$MODEL/$TAG_DIR/hotplug_supp.dll
   
   
   cd $TI_REPO_DIR/ext/lib/$TAG_DIR
   $BUILD_SCRIPT_DIR/create_curl_json_sqlite_soft_links.sh $MODEL
   $BUILD_SCRIPT_DIR/create_ssl_zlib_soft_links.sh $MODEL
   $BUILD_SCRIPT_DIR/create_ssl_zlib_soft_links.sh lxa64
   $BUILD_SCRIPT_DIR/create_icu_soft_links.sh $MODEL
   $BUILD_SCRIPT_DIR/create_png_ulxml_expat_archive_http_soft_links.sh $MODEL
   $BUILD_SCRIPT_DIR/create_logging_soft_links.sh $MODEL

   mkdir -p $TI_REPO_DIR/ext/exe/$MODEL/$NOP_TAG_DIR

   $BUILD_SCRIPT_DIR/create_ti_so_soft_links.sh
  
   # curl hack
   cp $SRC_DIR/curlbuild.h $TI_REPO_DIR/ext/include/curl/curlbuild.h
   
   cd $TI_REPO_DIR/products/imager/home/mobile_backup/srv
   wmake $MODEL $TAG 
   if [ $? -ne 0 ]; then
     error_exit "Mobile backup status server compilation failed for $MODEL"
   fi
}


main()
{
  compile_mobile_backup_status_server
}

main
