
error_exit()
{
    MSG=$1
    echo $MSG 1>&2
    exit 1
}

del_dirs()
{
  #rm -rf ext/lib/$TAG_DIR/*_$MODEL.lib
  rm -rf ext
  rm -rf obj
  rm -rf exe/$MODEL/$TAG_DIR
  if  [ -f "lib/$TAG_DIR/lib*_$MODEL.lib" ]
  then
     rm lib/$TAG_DIR/lib*_$MODEL.lib
  fi
}

copy_make()
{
  rm -rf make/*
  cp -r $WMAKE_DIR/* make/
  mkdir -p make_config
  rm -rf make_config/*
  cp -r $MAKE_CONFIG_DIR/* make_config/
}

## wrm compile ##
compile_wrm_server()
{
   cd $WRM_REPO_DIR
   #del_dirs
   #copy_make
   mkdir -p $WRM_REPO_DIR/ext/lib/$TAG_DIR
   
   # http hack
   #cd $TI_REPO_DIR/$WRM_REPO_NAME/ext/include/
   #mv http http.247
   #cp -r $HOME_DIR/http http
   
   # hack for resource.dll soft link
   mkdir -p $WRM_REPO_DIR/exe/$MODEL/$TAG_DIR/english
   /usr/bin/touch $TI_REPO_DIR/$WRM_REPO_NAME/exe/$MODEL/$TAG_DIR/english/resource.dll
   
   cd $WRM_REPO_DIR/ext/lib/$TAG_DIR
   $BUILD_SCRIPT_DIR/create_ssl_zlib_soft_links.sh $MODEL
   $BUILD_SCRIPT_DIR/create_ssl_zlib_soft_links.sh lxa64
   $BUILD_SCRIPT_DIR/create_icu_soft_links.sh $MODEL
   $BUILD_SCRIPT_DIR/create_png_ulxml_expat_archive_http_soft_links.sh $MODEL
   $BUILD_SCRIPT_DIR/create_pcs_io_soft_links.sh $MODEL
   $BUILD_SCRIPT_DIR/create_logging_soft_links.sh $MODEL

   mkdir -p $WRM_REPO_DIR/ext/exe/$MODEL/$TAG_DIR
   mkdir -p $WRM_REPO_DIR/ext/exe/$MODEL/$NOP_TAG_DIR
   $BUILD_SCRIPT_DIR/create_wrm_so_soft_links.sh
  
   cd $WRM_REPO_DIR/enterprise/applications/domain/http/server/
   wmake $MODEL $TAG 
   if [ $? -ne 0 ]; then
     error_exit "WRM server compilation failed for $MODEL"
   fi
}


main()
{
  compile_wrm_server
}

main
