source ./common_exports.sh

main() 
{
  MODEL=$1
  TAG=$2

  if [ -z $MODEL ]; then
    MODEL=lxa64
  fi

  if [ -z $2 ]; then
    TAG="release=nop"
  fi

  if [ $TAG == "debug=0" ]; then
    TAG_DIR="debug"
  elif [ $TAG == "release=0" ]; then
    TAG_DIR="release"
  elif [ $TAG == "release=nop" ]; then
    TAG_DIR="rel_nop"
  elif [ $TAG == "release=nnd" ]; then
    TAG_DIR="rel_nnd"
  elif [ $TAG == "release=pg" ]; then
    TAG_DIR="rel_pg"
  else
    echo 'Invalid tag..'
    exit 1
  fi
  
  $BUILD_SCRIPT_DIR/configure_toolchain.sh
    $BUILD_SCRIPT_DIR/compile_tp_libs.sh
  #$BUILD_SCRIPT_DIR/compile_wrm_libs.sh
  #$BUILD_SCRIPT_DIR/compile_ti_libs.sh
  $BUILD_SCRIPT_DIR/collect_binaries.sh
}

main $1 $2

unset HOME_DIR
unset REPO_DIR
unset TP_REPO_DIR
unset BUILD_SCRIPT_DIR
unset WMAKE_DIR
unset MODEL
unset TAG
unset TAG_DIR
